﻿:root {
    --background: #fbfcfc; /* light grey */
    --other-background: #e8fbfe; /* skyeblue */
    --main: #08521d; /* dark green */
    --light-main: #E3933D; /* orange */
    --dark-main: #175454; /* acqua */
    --attention-highlight: #eb3039; /* fire red */
    scroll-behavior: smooth;
}

.myradio {
    display: inline-flex;
    overflow: hidden;
    border-radius: 5px;
    box-shadow: 0 0 2px rgba(0,0,0,0.25);
    border: 1px solid var(--dark-main);
    
}

.rd input {
    display: none;
    
}

.rd label {
    padding: 5px 20px 5px 20px;
    font-size: 14px;
    font-weight: bold;
    color: var(--main);
    background: var(--background);
    cursor: pointer;
    transition: background 0.1s;
}

    .rd label:not(:last-of-type) {
        border-right: 1px solid var(--dark-main);
    }

.rd input:checked + label {
    background: var(--light-main);
}

.rde input {
    display: none;
}

.rde label {
    padding: 5px 5px 5px 5px;
    font-size: 12px;
    font-weight: bold;
    color: var(--main);
    background: var(--background);
    cursor: pointer;
    transition: background 0.1s;
}

    .rde label:not(:last-of-type) {
        border-right: 1px solid var(--dark-main);
    }

.rde input:checked + label {
    background: var(--light-main);
}

.myradioe {
    display: inline-flex;
    overflow: hidden;
    border-radius: 5px;
    box-shadow: 0 0 2px rgba(0,0,0,0.25);
    border: 1px solid var(--dark-main);
}

.rde input {
    display: none;
}

.rde label {
    padding: 5px 10px 5px 10px;
    font-size: 12px;
    font-weight: bold;
    color: var(--main);
    background: var(--background);
    cursor: pointer;
    transition: background 0.1s;
}

    .rde label:not(:last-of-type) {
        border-right: 1px solid var(--dark-main);
    }

.rde input:checked + label {
    background: var(--light-main);
}

.myradioefix {
    display: inline-flex;
    overflow: hidden;
    border-radius: 5px;
    box-shadow: 0 0 2px rgba(0,0,0,0.25);
    border: 1px solid var(--dark-main);
}

.rdefix input {
    display: none;
}
.rdefix input:disabled {
    display: none;
}

.rdefix label {
    width:75px;
    padding: 5px 10px 5px 10px;
    font-size: 12px;
    font-weight: bold;
    color: var(--main);
    background: var(--background);
    cursor: pointer;
    transition: background 0.1s;
}

.rdefix label:disabled {
    width: 80px;
    padding: 5px 10px 5px 10px;
    font-size: 12px;
    font-weight: bold;
    color: transparent;
    background: var(--background);
    cursor: pointer;
    transition: background 0.1s;
}


    .rdefix label:not(:last-of-type) {
        border-right: 1px solid var(--dark-main);
    }
    .rdefix label:disabled:not(:last-of-type) {
        border-right: 1px solid var(--dark-main);
    }

.rdefix input:checked + label {
    background: var(--light-main);
}



.myradio2 {
    display: block;
    
    border-radius: 5px;
    box-shadow: 0 0 2px rgba(0,0,0,0.25);
    border: 1px solid var(--dark-main);
    width: 350px;
}

.rd2 input {
    display: none;
}

.rd2 label {
    margin-top: 0px;
    height: 28px;
    width: 348px;
    padding: 5px 10px 0px 10px;
    font-size: 12px;
    font-weight: bold;
    color: var(--main);
    background: var(--background);
    cursor: pointer;
    transition: background 0.1s;
    display: inline-block;
}

    .rd2 label:not(:last-of-type) {
        border-bottom: 1px solid var(--dark-main);
    }

.rd2 input:checked + label {
    background: var(--light-main);
}

.myradio3 {
    display: block;
    border-radius: 5px;
    box-shadow: 0 0 2px rgba(0,0,0,0.25);
    border: 1px solid var(--dark-main);
    width: 122px;
}


.rd3 input {
    display: none;
}

.rd3 label {
    margin-top: 0px;
    height: 28px;
    width: 120px;
    padding: 5px 10px 0px 10px;
    font-size: 12px;
    font-weight: bold;
    color: var(--main);
    background: var(--background);
    cursor: pointer;
    transition: background 0.1s;
    display: inline-block;
}

    .rd3 label:not(:last-of-type) {
        border-bottom: 1px solid var(--dark-main);
    }

.rd3 input:checked + label {
    background: var(--light-main);
}

.myradio4 {
    display: block;
    border-radius: 5px;
    box-shadow: 0 0 2px rgba(0,0,0,0.25);
    border: 1px solid var(--dark-main);
    width: 200px;
}

.rd4 input {
    display: none;
}

.rd4 label {
    margin-top: 0px;
    height: 28px;
    width: 198px;
    padding: 5px 10px 0px 10px;
    font-size: 12px;
    font-weight: bold;
    color: var(--main);
    background: var(--background);
    cursor: pointer;
    transition: background 0.1s;
    display: inline-block;
}

    .rd4 label:not(:last-of-type) {
        border-bottom: 1px solid var(--dark-main);
    }

.rd4 input:checked + label {
    background: var(--light-main);
}

.myradio5 {
    display: block;
    border-radius: 5px;
    box-shadow: 0 0 2px rgba(0,0,0,0.25);
    border: 1px solid var(--dark-main);
    width: 410px;
}

.rd5 input {
    display: none;
}

.rd5 label {
    margin-top: 0px;
    height: 28px;
    width: 408px;
    padding: 5px 10px 0px 10px;
    font-size: 12px;
    font-weight: bold;
    color: var(--main);
    background: var(--background);
    cursor: pointer;
    transition: background 0.1s;
    display: inline-block;
}

    .rd5 label:not(:last-of-type) {
        border-bottom: 1px solid var(--dark-main);
    }

.rd5 input:checked + label {
    background: var(--light-main);
}




body {
    font-family: Open Sans, sans-serif;
}

.mrg {
    padding-left: 20px;
}

.backs {
    background-color: var(--background);
}

.otherbacks {
    background-color: var(--other-background);
}

.fontmain {
    color: var(--attention-highlight);
    font-size: 170%;
    font-weight: bold;
}

.fontlight {
    color: var(--light-main);
}

.under {
    text-decoration: underline;
    background-color: transparent;
    font-size: 100%;
    color: var(--main);
}

.cntr {
    padding: 10px 5px 10px 5px;
}

.upper {
    background-color: transparent;
    font-size: 100%;
    color: var(--main);
}

#tUserID:focus {
    background-color: var(--background);
}

#tUserPass:focus {
    background-color: var(--background);
}

#DropDownList1:focus {
    background-color: var(--background);
}

::placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
    color: var(--main);
    opacity: 1; /* Firefox */
}

.box {
    width: 80%;
    height: 90%;
    margin: 1% auto 1%;
    background-color: white;
    text-align: center;
    color: var(--main);
    border-radius: 1%;
    box-shadow: 10px 48px 80px -32px rgba(0,0,0,0.3);
    
}

.box1 {
    width: 90%;
    height: 90%;
    margin-top: 2%;
    border-radius: 5px;
    padding-top: 2%;
    box-shadow: 10px 48px 80px -32px rgba(0,0,0,0.3);
    background-color: white;
}


.button {
    background-color: var(--main);
    color: #ffffff;
    border-radius: 5px;
    border-width: 1px;
    font-size: 12px;
    font-weight: bold;
    font-weight: bold;
    margin-left: 0px;
    height: 36px;
}

    .button:hover {
        background-color: var(--light-main);
        color: var(--dark-main);
        border-color: var(--dark-main);
        border-width: 1px;
        border-radius: 5px;
        font-size: 12px;
        font-weight: bold;
        width: 100px;
        height: 36px;
    }

    .button:disabled {
        background-color: #e0e0eb;
        color: #b3b3cc;
        border-color: #b3b3cc;
        border-width: 1px;
        border-radius: 5px;
        font-size: 12px;
        font-weight: bold;
        width: 100px;
        height: 36px;
    }

.otherbutton {
    background-color: var(--background);
    color: var(--main);
    border-color: var(--main);
    border-width: 1px;
    border-radius: 5px;
    font-size: 12px;
    height: 36px;
    width: 140px;
    font-weight: bold;
}

    .otherbutton:hover {
        background-color: var(--attention-highlight);
        color: var(--dark-main);
        border-color: var(--dark-main);
        border-width: 1px;
        border-radius: 5px;
        font-size: 12px;
        font-weight: bold;
    }

    .otherbutton:disabled {
        background-color: #e0e0eb;
        color: #b3b3cc;
        border-color: #b3b3cc;
    }

.otherbutton2 {
    background-color: var(--attention-highlight);
    color: white;
    border-color: var(--main);
    border-width: 1px;
    border-radius: 5px;
    font-size: 12px;
    height: 36px;
    width: 140px;
    font-weight: bold;
}

    .otherbutton2:hover {
        background-color: white;
        color: var(--attention-highlight);
        border-color: var(--dark-main);
        border-width: 1px;
        border-radius: 5px;
        font-size: 12px;
        font-weight: bold;
    }


.button2 {
    background-color: var(--light-main);
    color: var(--dark-main);
    border-color: var(--dark-main);
    border-width: 1px;
    border-radius: 5px;
    font-size: 12px;
    height: 36px;
    width: 140px;
    font-weight: bold;
}
    .button2:disabled {
        background-color: #e0e0eb;
        color: #b3b3cc;
        border-color: #b3b3cc;
    }

.drop {
    color: var(--dark-main);
    font-size: 14px;
    padding: 0px 5px 0px 5px;
    border-radius: 5px;
    border-color: var(--main);
    background-color: #FFFFFF;
    font-weight: bold;
    margin-bottom: 0px;
    margin-left: 0px;
    height: 32px;
}

.dropdisabled {
    color: var(--dark-main);
    font-size: 12px;
    padding: 5px 10px;
    border-radius: 0px;
    border-color: transparent;
    background-color: transparent;
    font-weight: normal;
    margin-bottom: 0px;
    margin-left: 0px;
    
}

.txtbox {
    color: var(--dark-main);
    font-size: 14px;
    padding: 0px 5px 0px 5px;
    border: 1px solid var(--dark-main);
    border-radius: 5px;
    background-color: #FFFFFF;
    font-weight: normal;
    width: 120px;
    margin-bottom: 0px;
    margin-left: 0px;
    height: 32px;
}

.txtlabel {
    color: var(--dark-main);
    font-size: 14px;
}

.txtlabelsmall {
    color: var(--main);
    font-size: 12px;
}

.txtattention {
    color: var(--attention-highlight);
    font-size: 14px;
    font-weight: bold;
}

.txtattentionsmall {
    color: var(--attention-highlight);
    font-size: 12px;
    font-weight: bold;
}

.txtinfo {
    color: var(--main);
    font-weight: bold;
    font-size: 14px;
}

.txtinfo12 {
    color: var(--main);
    font-weight: bold;
    font-size: 12px;
}

.txtinfosmall {
    color: var(--main);
    font-size: 10px;
    font-style:italic;
}

.fancyinfo {
    color: var(--light-main);
    font-weight: bold;
    font-size: 14px;
}

.fancyinfosmall {
    color: var(--light-main);
    font-weight: bold;
    font-size: 12px;
}

.badge {
    background-color: #00cccc;
    color: white;
    padding: 4px 8px;
    text-align: center;
    border-radius: 5px;
    font-size: 12px;
    font-weight: bold;
}

.pagetitle {
    text-align: center;
    font-size: 18px;
    color: var(--light-main);
    font-weight: bold;
}

.centertitle {
    text-align: center;
    font-size: 12px;
    color: var(--main);
    font-weight: bold;
}

.tabletitle {
    font-size: 14px;
    color: var(--main);
    font-weight: bold;
}

.tabletitle2 {
    font-size: 14px;
    color: #404040;
    font-weight: bold;
}

.headerrow {
    width: 665px;
    height: 28px;
    text-align: center;
    font-size: 14px;
    color: #404040;
    border: 1px solid var(--main);
}

.chk input {
    width: 17px;
    height: 17px;
    color: var(--main);
}



.chk2 input {
    width: 13px;
    height: 13px;
    color: var(--main);
}

input[type='checkbox'] {
    accent-color: var(--light-main);
}



.bulletlinks {
    color: #404040;
    padding-left: 25px;
    line-height: 30px;
}

a:link {
    color: #404040;
    text-decoration-line: underline;
    font-size: 12px;
}

a:hover {
    color: var(--main);
    text-decoration: underline;
    font-size: 12px;
}

.headerrow {
    text-align: center;
    font-size: 14px;
    color: var(--main);
    border: 1px solid var(--main);
}

.bord {
    border-style: solid;
    border-width: 1px;
    border-color: var(--main);
    border-collapse: collapse;
}

.follbox {
    color: #404040;
    font-size: 12px;
    border: 1px solid #707070;
    border-radius: 1px;
    background-color: #FFFFFF;
    font-weight: normal;
    width: 50px;
}

.grid-container {
    display: grid;
    grid-template-columns: auto auto auto;
    grid-gap: 20px;
}







/* treeview */
.treeNode {
    color: #ffffff;
    font: 16px Arial, Sans-Serif;
}


.rootNode {
    font-size: 18px;
    font-weight: bold;
    width: 100%;
    border-bottom: Solid 1px white;
    background-color: var(--light-main);
    padding: 10px;
}

.leafNode {
    padding: 10px;
    font-weight: bold;
    color: #404040;
}



/* toggle switch */
.switch {
    position: relative;
    display: inline-block;
    width: 70px;
    height: 26px;
}

    .switch input {
        opacity: 0;
    }

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: var(--background);
    -webkit-transition: .4s;
    transition: .4s;
}

    .slider:before {
        position: absolute;
        content: "";
        height: 29px;
        width: 31px;
        left: -1px;
        bottom: -3px;
        background-color: var(--main);
        -webkit-transition: .4s;
        transition: .4s;
        text-align: center;
    }

input:checked + .slider {
    background-color: var(--light-main);
}

input:focus + .slider {
    box-shadow: 0 0 1px #ccc;
}

input:checked + .slider:before {
    -webkit-transform: translateX(46px);
    -ms-transform: translateX(46px);
    transform: translateX(37px);
}

/* Rounded sliders */
.slider.round {
    border-radius: 3px;
    border: 1px solid var(--dark-main);
    text-align: center;
    color: var(--dark-main);
    font-weight: bold;
    padding-top: 7px;
    text-align: center;
    font-size: 12px;
}

    .slider.round:before {
        border-radius: 3px; /*15%*/
        border: 1px solid var(--dark-main);
    }


/* toggle queries & lockers */

.toggle {
    --width: 28px;
    --height: 20px;
    position: relative;
    display: inline-block;
    width: var(--width);
    height: var(--height);
    cursor: pointer;
    margin-left:10px;
}

    .toggle input {
        display: none;
    }

    .toggle .labels {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        font-size: 16px;
        font-family: sans-serif;
        transition: all 0.4s ease-in-out;
        overflow: hidden;
    }

        .toggle .labels::after {
            content: attr(data-off);
            position: absolute;
            display: flex;
            justify-content: center;
            align-items: center;
            top: 0;
            left: 0;
            height: 100%;
            width: 100%;
            color: var(--main);
            opacity: 0.9;
            background-color: transparent;
            text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.1);
            transition: all 0.2s ease-in-out;
        }

        .toggle .labels::before {
            content: attr(data-on);
            position: absolute;
            display: flex;
            justify-content: center;
            align-items: center;
            top: 0;
            left: calc(var(--width) * -1);
            height: 100%;
            width: 100%;
            color: var(--main);
            opacity: 0.9;
            background-color: transparent;
            text-align: center;
            text-shadow: 1px 1px 2px rgba(255, 255, 255, 0.1);
            transition: all 0.2s ease-in-out;
        }

    .toggle input:checked ~ .labels::after {
        transform: translateX(var(--width));
    }

    .toggle input:checked ~ .labels::before {
        transform: translateX(var(--width));
    }





/* scroll */
.stt {
    position: fixed;
    right: 1rem;
    bottom: 1rem;
    width: 3rem;
    height: 3rem;
    border-radius: 50%;
    border: 2px solid var(--light-main);
    background: #f2f2f2 url("toparrow.png") center no-repeat;
    box-shadow: 0 0.25rem 0.5rem 0 gray;
    opacity: 0.7;
}

@media screen and (max-width:300px) {
    #container {
        width: 280px;
        height: auto;
        background-size: 100%;
    }

    #passes {
        float: none;
        width: auto;
        margin: 0;
    }

    #content {
        float: none;
        width: auto;
        margin: 0;
    }
}




.grid-container1 {
    display: grid;
    grid-template-columns: min-content min-content min-content ;
    grid-gap: 20px;
}

.item1 {
    float: left;
    padding: 15px;
}



.balloon {
    text-align:left;
    font-size:12px;
}




/*#accordionPlusMinus {
    --bs-accordion-btn-focus-box-shadow: none; 
    --bs-accordion-btn-focus-border-color: #fff; 
    --bs-accordion-active-bg: #fff; 
}*/


#accordionPlusMinus .accordion-button {
    flex-direction: row-reverse;
    justify-content: start;
    margin-left: 0;
    margin-right: 15px;
}

    #accordionPlusMinus .accordion-button:not(.collapsed) {
        color: #000;
        background-color: #fff;
    }

        #accordionPlusMinus .accordion-button:not(.collapsed)::after {
            margin-left: 0;
            background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 2'%3E%3Cpath fill='none' stroke='%23eb3039' stroke-linecap='round' stroke-width='2' d='M8 1H1m7 0h7'/%3E%3C/svg%3E");
            transform-origin: 50% 25%;
        }

    #accordionPlusMinus .accordion-button::after {
        width: 1.25rem;
        height: 1.25rem;
        content: "";
        background-image: url("data:image/svg+xml,%3Csvg viewBox='0 0 16 16' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M8 1v7m0 7V8m0 0H1m7 0h7' stroke='%2308521d' stroke-width='2' stroke-linecap='round'/%3E%3C/svg%3E");
        justify-content: start;
        margin-left: 0;
        margin-right: 15px;
    }


.accbutton {
    background-color: transparent;
    color: #404040;
    border-color: transparent;
    border-radius: 2px;
    font-size: 14px;
    height: 26px;
}

    .accbutton:hover {
        background-color: var(--light-main);
        color: var(--dark-main);
        border-color: transparent;
        border-radius: 2px;
        font-size: 14px;
        font-weight: bold;
    }

    .accbutton:disabled {
        background-color: #e0e0eb;
        color: #b3b3cc;
        border-color: transparent;
        border-radius: 2px;
        font-size: 14px;
    }





.progressbar-wrapper {
    background: transparent;
    width: 75%;
    padding-top: 5px;
    padding-bottom: 5px;
}

.progressbar li {
    list-style-type: none;
    width: 7%;
    float: left;
    font-size: 12px;
    position: relative;
    text-align: center;    
    color: var(--main);
}

    .progressbar li:before {
        width: 30px;
        height: 30px;
        content: "";
        line-height: 25px;
        border: 2px solid #e0e5e5;
        display: block;
        text-align: center;
        margin: 0 auto 3px auto;
        border-radius: 50%;
        position: relative;
        z-index: 2;
        background-color: transparent;
    }

    .progressbar li:after {
        width: 100%;
        height: 2px;
        content: '';
        position: absolute;
        background-color: #e0e5e5;
        top: 15px;
        left: -50%;
        z-index: 0;
    }

    .progressbar li:first-child:after {
        content: none;
    }

    .progressbar li.active {
        color: var(--main);
        font-weight: bold;
    }

        .progressbar li.active:before {
            border-color: var(--main);
            background: #b2efef;
        }

        .progressbar li.active + li:after {
            background-color: #b2efef;
        }

        .progressbar li.active:before {
            background: #b2efef url(user.svg) no-repeat center center;
            background-size: 60%;
        }

    .progressbar li::before {
        background: #fff url(user.svg) no-repeat center center;
        background-size: 60%;
    }

.progressbar {
    counter-reset: step;
}

    .progressbar li:before {
        content: counter(step);
        counter-increment: step;
    }


.progressbar2-wrapper {
    background: transparent;
    width: 75%;
    padding-top: 5px;
    padding-bottom: 5px;
}

.progressbar2 li {
    list-style-type: none;
    width: 7%;
    float: left;
    font-size: 12px;
    position: relative;
    text-align: center;
    color: var(--main);
}

    .progressbar2 li:before {
        width: 30px;
        height: 30px;
        content: "";
        line-height: 25px;
        border: 2px solid #e0e5e5;
        display: block;
        text-align: center;
        margin: 0 auto 3px auto;
        border-radius: 50%;
        position: relative;
        z-index: 2;
        background-color: transparent;
    }

    .progressbar2 li:after {
        width: 100%;
        height: 2px;
        content: '';
        position: absolute;
        background-color: #e0e5e5;
        top: 15px;
        left: -50%;
        z-index: 0;
    }

    .progressbar2 li:first-child:after {
        content: none;
    }

    .progressbar2 li.active {
        color: var(--main);
        font-weight: bold;
    }

        .progressbar2 li.active:before {
            border-color: var(--main);
            background: #b2efef;
        }

        .progressbar2 li.active + li:after {
            background-color: #b2efef;
        }

        .progressbar2 li.active:before {
            background: #b2efef url(user.svg) no-repeat center center;
            background-size: 60%;
        }

    .progressbar2 li::before {
        background: #fff url(user.svg) no-repeat center center;
        background-size: 60%;
    }

.progressbar2 {
    counter-reset: step -1;
}

    .progressbar2 li:before {
        content: counter(step);
        counter-increment: step;
    }